Search Unity

  1. Unity 2019.1 is now released.
    Dismiss Notice

{Fixed}I am stuck . Need Help ! Not able to build Unity 5.2 Android with Google play game service .

Discussion in 'Editor & General Support' started by Abhijit-Mukherjee, Nov 26, 2015.

  1. Abhijit-Mukherjee

    Abhijit-Mukherjee

    Joined:
    Jan 9, 2015
    Posts:
    192
    Hi Friends ,

    I am really hope less , I have added google play latest version in my game , But I am not able to build it .
    I am Using : play-games-plugin-for-unity/current-build/GooglePlayGamesPlugin-0.9.27.unitypackage


    Please find the error below .

    UnityIssue.PNG UnityIssue.PNG UnityIssue 2.PNG


    Error Says ;

    Error building Player: CommandInvokationFailure: Failed to re-package resources. See the Console for details.
    E:\Abhijit_Android_Game\adt-bundle-windows-x86_64-20140624\sdk\build-tools\21.1.2\aapt.exe package --auto-add-overlay -v -f -m -J gen -M AndroidManifest.xml -S "res" -I "E:/Abhijit_Android_Game/adt-bundle-windows-x86_64-20140624/sdk\platforms\android-21\android.jar" -F bin/resources.ap_ --extra-packages android.support.v7.appcompat:com.google.example.games.mainlibproj:com.google.android.gms.base:com.google.android.gms:com.google.android.gms.drive:com.google.android.gms.games:com.google.android.gms.nearby:com.google.android.gms.plus:android.support.v4:com.OnePointSix.KillerTraps -S "E:\Abhijit_Android_Game\New Unity Project\Temp\StagingArea\android-libraries\appcompat-v7-23.1.1\res" -S "E:\Abhijit_Android_Game\New Unity Project\Temp\StagingArea\android-libraries\play-services-base-8.3.0\res" -S "E:\Abhijit_Android_Game\New Unity Project\Temp\StagingArea\android-libraries\play-services-basement-8.3.0\res" -S "E:\Abhijit_Android_Game\New Unity Project\Temp\StagingArea\android-libraries\play-services-drive-8.3.0\res" -S "E:\Abhijit_Android_Game\New Unity Project\Temp\StagingArea\android-libraries\play-services-games-8.3.0\res" -S "E:\Abhijit_Android_Game\New Unity Project\Temp\StagingArea\android-libraries\play-services-nearby-8.3.0\res" -S "E:\Abhijit_Android_Game\New Unity Project\Temp\StagingArea\android-libraries\play-services-plus-8.3.0\res" -S "E:\Abhijit_Android_Game\New Unity Project\Temp\StagingArea\android-libraries\support-v4-23.1.1\res" -S "E:\Abhijit_Android_Game\New Unity Project\Temp\StagingArea\android-libraries\unity-android-resources\res"

    stderr[
    E:\Abhijit_Android_Game\New Unity Project\Temp\StagingArea\android-libraries\play-services-basement-8.3.0\res\values\common_attrs.xml:13: error: Attribute "imageAspectRatioAdjust" has already been defined

    E:\Abhijit_Android_Game\New Unity Project\Temp\StagingArea\android-libraries\play-services-basement-8.3.0\res\values\common_attrs.xml:22: error: Attribute "imageAspectRatio" has already been defined

    E:\Abhijit_Android_Game\New Unity Project\Temp\StagingArea\android-libraries\play-services-basement-8.3.0\res\values\common_attrs.xml:27: error: Attribute "circleCrop" has already been defined
    -----------------------------------------------------------------------------------------------------------------------------------

    MY Android MainFest.xml

    <?xml version="1.0" encoding="utf-8"?>
    <!-- This file was automatically generated by the Google Play Games plugin for Unity
    Do not edit. -->
    <manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.google.example.games.mainlibproj"
    android:versionCode="1"
    android:versionName="1.0" >

    <uses-sdk android:minSdkVersion="8" android:targetSdkVersion="16" />

    <!-- replaced during setup -->


    <application>

    <!-- Required for Nearby Connections API -->
    <meta-data android:name="com.google.android.gms.nearby.connection.SERVICE_ID"
    android:value="" />

    <!-- the space in these forces it to be interpreted as a string vs. int -->
    <meta-data android:name="com.google.android.gms.games.APP_ID"
    android:value="\ " />
    <meta-data android:name="com.google.android.gms.appstate.APP_ID"
    android:value="\ " />
    <meta-data android:name="com.google.android.gms.version"
    android:value="@Integer/google_play_services_version" />

    <activity android:name="com.google.games.bridge.NativeBridgeActivity"
    android:theme="@android:style/Theme.Translucent.NoTitleBar.Fullscreen" />
    </application>
    </manifest>

    Please Help ! I have found same open issue in github page :
    https://github.com/playgameservices/play-games-plugin-for-unity/issues/818
     
    Last edited: Nov 27, 2015
  2. Abhijit-Mukherjee

    Abhijit-Mukherjee

    Joined:
    Jan 9, 2015
    Posts:
    192
  3. Abhijit-Mukherjee

    Abhijit-Mukherjee

    Joined:
    Jan 9, 2015
    Posts:
    192
  4. Abhijit-Mukherjee

    Abhijit-Mukherjee

    Joined:
    Jan 9, 2015
    Posts:
    192
  5. Abhijit-Mukherjee

    Abhijit-Mukherjee

    Joined:
    Jan 9, 2015
    Posts:
    192
  6. Abhijit-Mukherjee

    Abhijit-Mukherjee

    Joined:
    Jan 9, 2015
    Posts:
    192
    This was the issue with , Android API level , I need to upgrade to API level 6 , I download all the packages of API 6 from android sdk manager . :)
     
    deliriumz likes this.